#ifndef BUGAGENT_H
#define BUGAGENT_H

#include <QObject>

#include "process.h"

class BranchItem;

class BugAgent:public QObject
{
	Q_OBJECT
public:	
	BugAgent (BranchItem *bi,const QString &bug);
	~BugAgent();

public slots:
	virtual void processFinished(int exitCode, QProcess::ExitStatus exitStatus);

private:
	uint branchID;
	uint modelID;
	QString bugID;
	QString script;
	Process *p;
};
#endif

